Subject: Re: [bug#73118] [PATCH v2 0/5] Fix arm-none-eabi toolchains and introduce a newer version 12.3.rel1
From: Ludovic Courtès <[email-masked]>
To: Rutherther <[email-masked]>
Cc: Vagrant Cascadian <[email-masked]>, [email-masked], Efraim Flashner <[email-masked]>
Date: Sat, 12 Oct 2024 19:43:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Rutherther <[email-masked]> skribis:

> I also did another contribution where I learned a bit about chane log format,
> and that it should be used with Guix. So I changed the commits to better reflect
> this format. Sorry if it's still wrong, I have hard time wrapping my head around
> the exact rules of it.

It’s good.  :-)

>   gnu: make-gcc-arm-none-eabi: reorder C++ native search paths
>   gnu: make-libstdc++-arm-none-eabi: output libstdc++ to arm-none-eabi.
>   gnu: make-libstdc++-arm-none-eabi: add nano variant
>   gnu: newlib arm-none-eabi-7-2018-q2-update: Add proper newlib-nano
>     variant.
>   gnu: arm-none-eabi toolchain 12.3.rel1

I went ahead and applied it, thanks!

Cc’ing the Embedded team.  Efraim, Vagrant: should we added
gnu/packages/embedded.scm to the team’s scope?

Thanks,
Ludo’.